OAuth clients
Replace an OAuth client
This is a complete replacement of editable client details.
Authentication
Authorizationbearer tokenRequires oauth.clients.write — Create and update OAuth clients, secrets, and icons.
Path parameters
client_idstringrequiredThe client identifier.
Body parameters
application/json
namestringrequiredApplication name shown during authorization.
redirectUrisURL[]requiredExact callback URLs allowed after authorization.
clientTypePUBLIC | CONFIDENTIALUse PUBLIC for clients that cannot safely store a secret.
descriptionstringApplication description shown to users.
websiteUrlURLPublic application website.
Responses
200Successful response400The request is invalid401Authentication is missing or invalid403The token does not have the required scope429Rate limit exceeded